Bug 216245 - Improve support for tooltips not initiated by mouse
Improve support for tooltips not initiated by mouse
Status: RESOLVED FIXED
Product: editor
Classification: Unclassified
Component: Painting & Printing
7.2
PC Linux
: P3 (vote)
: 7.3
Assigned To: Svata Dedic
issues@editor
: API_REVIEW, API_REVIEW_FAST
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-01 11:08 UTC by Svata Dedic
Modified: 2012-09-12 02:10 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments
Proposed changes (1.82 KB, patch)
2012-08-01 11:08 UTC, Svata Dedic
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Svata Dedic 2012-08-01 11:08:46 UTC
Created attachment 122627 [details]
Proposed changes

The ToolTipSupport.setToolTipVisible() is primarily made for clients, who want to display a tooltip relevant to the current mouse location. The call changes internal visibility state, then asks View Hierarchy to build the tooltip contents. Some of the views then calls one of the setTooltip() overloads to actually deliver the tooltip contents.

If the originating event is not a mouse gesture (c.f. brace matching, which can display tooltip when caret moves to closing brace position), the tooltip must be still set visible, but the request should not be routed through the existing APIs, which are tied on x,y coordinates as a context. 

So I propose a simple overload

setToolTipVisible(boolean visible, boolean updateFromView)

see the attachment.
Comment 1 Svata Dedic 2012-09-10 08:02:58 UTC
for motivation, see #215520
Comment 2 Svata Dedic 2012-09-11 16:43:54 UTC
Committed as http://hg.netbeans.org/jet-main/rev/7be2480bdf58
Comment 3 Quality Engineering 2012-09-12 02:10:38 UTC
Integrated into 'main-golden', will be available in build *201209120001* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/7be2480bdf58
User: Svata Dedic <sdedic@netbeans.org>
Log: #216245: added overload for showing tooltips not based on mouse gestures


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo